#!/usr/bin/env bash -x


####
# Runtime Config

# Copy authorized_keys secret to the user's ssh config folder
#  (symlinking will not do, because sshd checks perms of the file tree above the target of the link)
install -Dm 600 -o thurstylark -g thurstylark /run/secrets/tl-weechat-authorizedkeys /home/thurstylark/.ssh/authorized_keys



####
# Service startup

# Start zerotier-one in daemon mode
zerotier-one -d

# Start sshd
sshd



####
# Start weechat within tmux as thurstylark

runuser -u thurstylark -- tmux -f ~/.tmux.conf -L tl-weechat new-session -ds tl-weechat weechat
